import { DebouncedFunc } from "lodash";
/**
 * @hidden
 */
export type Announce = DebouncedFunc<(message: string) => void>;
/**
 * @hidden
 */
interface Announcer {
    container: HTMLDivElement;
    announce: Announce;
}
/**
 * @hidden
 */
interface Options {
    document: Document;
    idA: string;
    idB: string;
}
/**
 * Generates a screen reader compatible live area for announcements
 *
 * @hidden
 */
export declare const announcer: ({ document, idA, idB }: Options) => Announcer;
export {};
