import { Controller, ControllerOptions } from "./controller";
/**
 * Configure and launch an instance of the Address Finder
 *
 * This method will create and return a new AddressFinder instance. It will also add a global reference to the controller at `AddressFinder.controllers`
 */
export declare const setup: (config: ControllerOptions) => Controller;
/**
 * Configure and launch an instance of the Address Finder
 *
 * This is equivalent to invoking `setup` except inside a DOMContentLoaded event callback
 */
export declare const go: (config: ControllerOptions, d?: Document) => Promise<Controller | null>;
/**
 * Cache of Address Finder controllers
 */
export declare const controllers: Controller[];
